diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
index 9e53a4a9..fe3c7f1e 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
@@ -322,16 +322,6 @@ class TablespaceView(PGChildNodeView):
 
             if not status:
                 return internal_server_error(errormsg=res)
-            SQL = render_template(
-                "/".join([self.template_path, self._ALTER_SQL]),
-                data=data, conn=self.conn
-            )
-
-            # Checking if we are not executing empty query
-            if SQL and SQL.strip('\n') and SQL.strip(' '):
-                status, res = self.conn.execute_scalar(SQL)
-                if not status:
-                    return internal_server_error(errormsg=res)
 
             # To fetch the oid of newly created tablespace
             SQL = render_template(
@@ -344,6 +334,32 @@ class TablespaceView(PGChildNodeView):
             if not status:
                 return internal_server_error(errormsg=tsid)
 
+            SQL = render_template(
+                "/".join([self.template_path, self._ALTER_SQL]),
+                data=data, conn=self.conn
+            )
+
+            # Checking if we are not executing empty query
+            if SQL and SQL.strip('\n') and SQL.strip(' '):
+                status, res = self.conn.execute_scalar(SQL)
+                if not status:
+                    return jsonify(
+                        node=self.blueprint.generate_browser_node(
+                            tsid,
+                            sid,
+                            data['name'],
+                            icon="icon-tablespace"
+                        ),
+                        success=0,
+                        errormsg=gettext(
+                            'Tablespace created successfully, '
+                            'Set parameter fail: {0}'.format(res)
+                        ),
+                        info=gettext(
+                            res
+                        )
+                    )
+
             return jsonify(
                 node=self.blueprint.generate_browser_node(
                     tsid,
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 12235895..b51f0953 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1550,6 +1550,12 @@ define('pgadmin.browser.node', [
                     $(pnlDependencies).removeData('node-prop');
                   if (pnlDependents)
                     $(pnlDependents).removeData('node-prop');
+
+                  if(nodeData.success === 0) {
+                    Notify.alert(gettext('Error'),
+                      gettext(nodeData.errormsg)
+                    );
+                  }
                 }
               }
             );
